PayloadTypeFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.filters.PayloadTypeFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.filters
Class PayloadTypeFilter

    java.lang.Object
      org.mule.routing.filters.PayloadTypeFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ExceptionTypeFilter

    public class PayloadTypeFilter

extends Object
implements Filter

`PayloadTypeFilter` filters based on the type of the object received.

Constructor Summary
`PayloadTypeFilter()`
`PayloadTypeFilter(Class expectedType)`
`PayloadTypeFilter(String expectedType)`

Method Summary
`boolean` | `accept(MuleMessage message)` Check a given message against this filter.
`boolean` | `equals(Object obj)`
`Class` | `getExpectedType()`
`int` | `hashCode()`
`void` | `setExpectedType(Class expectedType)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadTypeFilter

    public PayloadTypeFilter()

### PayloadTypeFilter

    public PayloadTypeFilter(String expectedType)
                      throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### PayloadTypeFilter

    public PayloadTypeFilter(Class expectedType)

Method Detail

### accept

    public boolean accept(MuleMessage message)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `message` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### getExpectedType

    public Class getExpectedType()

### setExpectedType

    public void setExpectedType(Class expectedType)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.